<?
session_start();
  include("../../clases/BDConexion.php");
  include("../../clases/clsPer.php");
  include("../Funciones.php");
  include("../funcion/funciones.php");
  
  $objPer=new clsPer;
  $existecod=$objPer->ExisteRuta($cod_ruta);  
if($existecod==""){
	$nombre_p="codigo_ruta";
	$fecha_ruta=extraerfechamysql($fecha_ruta);
	$testimado_ruta=extraerfechamysql($testimado_ruta);
	if($via=='A'){
	//calcular_tiempo_trasnc($hapaga_dch,$harranq_dch);
	$objPer->registrarRutas1($cod_ruta,$orig_ruta,$dest_ruta,$mat_trans,$fecha_ruta,$activo_ruta,$testimado_ruta,$horasal_ruta,$horallega_ruta,$via,$hora_arra,$hora_apag,$tiporuta);  
	}elseif($via=='F'){
	$hora_arra="00:00";
	$hora_apag="00:00";
	$objPer->registrarRutas1($cod_ruta,$orig_ruta,$dest_ruta,$mat_trans,$fecha_ruta,$activo_ruta,$testimado_ruta,$horasal_ruta,$horallega_ruta,$via,$hora_arra,$hora_apag,$tiporuta);  
	}
	$objPer->UpdateParametro($nombre_p,$valor);
	Redirigir("../cvp_rutas.php");	
}else{
	Redirigir("cvp_mensaje_rutas_existe.php?cod_ruta=$cod_ruta&orig_ruta=$orig_ruta&dest_ruta=$dest_ruta&mat_trans=$mat_trans&fecha_ruta=$fecha_ruta&activo_ruta=$activo_ruta&cantp_ruta=$cantp_ruta&pesot_ruta=$pesot_ruta&horasal_ruta=$horasal_ruta&horallega_ruta=$horallega_ruta");
}    
/* echo  $via."<br>";  
echo $mat_trans."<br>";
echo $hora_arra."<br>";
echo $hora_apag."<br>"; 
echo $horasal_ruta."<br>";
echo $horallega_ruta; */
?>